Announcement Announcement Module
Collapse
No announcement yet.
1.1.5.RELEASE to 1.2.0RC1 upgrade issue Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • 1.1.5.RELEASE to 1.2.0RC1 upgrade issue

    Hi,

    I am trying to upgrade my project from version 1.1.5.RELEASE to 1.2.0RC1 but the <Entity>Controller_Roo_Controller.aj code is removed so I tried recreating the issue with PetClinic and I get the same problem.

    This is what I did.

    1. Created the petclinic project with 1.1.5.RELEASE

    2. Upgraded Roo to 1.2.0RC1 and opened the Roo shell in the PetClinic project root.

    Now the Controller aspect j files are removed. This is from the log:

    "Deleted SRC_MAIN_JAVA/com/springsource/petclinic/web/PetController_Roo_Controller.aj - not required for governor com.springsource.petclinic.web.PetController"

    When creating the PetClinic project from scratch with 1.2.0RC1 these .aj files are there.

    Am I missing something here?

  • #2
    Before you fire up the Roo shell in a 1.1.5 project with 1.2.0.RC1, you must rename all the @RooEntity annotations to @RooJpaActiveRecord and also organise your imports for the whole project in Eclipse or STS (or IDEA)

    Comment

    Working...
    X